# MSP-EXP432P4111
# Out Of Box Demo GUI v1.0.0


----------


This GUI allows interaction with a [MSP-EXP432P4111 LaunchPad](http://www.ti.com/tool/msp-exp432p4111) running its out-of-box demo software.

Users can type in the desired beats per minute of an RGB LED, and select from over 16 million color options. LCD controls are also available to manipulate the [MSP-EXP432P4111 LaunchPad](http://www.ti.com/tool/msp-exp432p4111)'s on-board segmented LCD.

# Requirements


----------


***Target Hardware:***

 - The [MSP-EXP432P4111 LaunchPad](http://www.ti.com/tool/msp-exp432p4111)

***Target Software:***

 - Out of box demo firmware (outOfBox_msp432p4111)
 - The firmware can be downloaded in this GUI by selecting File -> Program Device...

# Instructions


----------


## Connection

 1. Connect MSP-EXP432P4111 to you PC via the USB connector
 2. If not connected automatically, click on the link icon at the bottom
    left corner and make sure the serial connection has been established
    @115200 baud rate. (GUI status bar indicates "waiting for data...")

> **Note:**
> 
>  - The GUI sends JSON formatted strings as control commands to the MSP-EXP432P4111 LaunchPad through its backchannel UART communication  
> channel.
>  - The Browser Developer Console can be used to view the JSON commands being sent to the MSP-EXP432P4111 LaunchPad.

## LED Controls

 - ### LED Color Sliders & Color Wheel
The LED color sliders color wheel can be used to select from over 16 million color options to control the RGB LED color of the MSP-EXP432P4111 LaunchPad.

 - ### LED Blink Rate Control
Enter numbers (10 - 4000) in the Beats per minute text box to change the RGB LED blink rate on the MSP-EXP432P4111 LaunchPad

> **Note:**
> 
>  - When LED color and blinkrate are updated using the PC GUI, the demo    enters PC color mode, which keeps a separate color and blinkrate apart from the other four default color modes.

## LCD Controls

 - ### LCD Text Input
The LCD Text Input only accepts alphanumeric characters. After typing the desired message,
  - Click **SCROLL** to scroll the text message across the LCD screen from right to left
  - Click **SHOW** to statically display the text message on the LCD (left justified). Since there are only 6 characters available on the LCD, anything longer than 6 characters will be truncated on the right.

 - ### LCD Symbol Controls
Clicking on each of the 5 symbols will toggle the corresponding segment on MSP-EXP432P4111 LaunchPad's LCD.

 - ### LCD Animation Controls
The animation controls can be used to manipulate the battery icon segments on the LCD of the MSP-EXP432P4111 LaunchPad. MSP432P4111's **LCD_F** peripheral features built-in animation controls (up-to 8 LCD segments & up-to 8 animation frames).

  - Click **ENABLE ANIMATION** to enable the animation.
  - By default, a battery charging animation is configured
  - Use the drop down list to select from the 8 available animation frames and click on the battery icon segments to customize the animation.